<div class="gm-screen-grid">
  <nav class="gm-screen-controls">
    <ol>
      <li class="gm-screen-pager prev"><button>Previous Page</button></li>
      <li class="gm-screen-pager next"><button>Next Page</button></li>
    </ol>
  </nav>
  <section class="grid-wrapper" data-page="1">
    {{#each pages as |page pageIndex|}}
      <div class="grid-page">
        {{!-- TODO: Add this once there's an index starting from 1. --}}
        {{!-- <h2 class="grid-title">Page {{pageIndex}}</h2> --}}
        <ul class="grid" data-page="{{pageIndex}}">
        {{#each page as |row rowIndex|}}
          {{#each row as |entry colIndex|}}
            <li class="grid-item row row--{{rowIndex}} span--{{entry.span}}" data-entity-id="{{entry.id}}" data-row="{{rowIndex}}" data-page="{{pageIndex}}" data-col="{{colIndex}}">
              <div class="controls delete"><i class="fas fa-trash"></i></div>
              <h2 class="name">{{entry.name}}</h2>
              <div class="content">{{{entry.content}}}</div>
            </li>
          {{/each}}
        {{/each}}
        </ul>
      </div>
    {{/each}}
  </section>
</div>